# mongoc_server_description_new_copy()

## Synopsis

    mongoc_server_description_t *

    mongoc_server_description_new_copy (const mongoc_server_description_t *description);

## Parameters

description | A The server description to copy.

## Description

This function copies the given server description and returns a new server description object. The caller is responsible for destroying the new copy.

## Returns

A copy of the original server description.